Create tariff
curl --request POST \
--url https://api.example.com/v1/tariffs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"fallback_tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"default": false
}
'import requests
url = "https://api.example.com/v1/tariffs"
payload = {
"name": "<string>",
"description": "<string>",
"fallback_tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": True,
"default": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
fallback_tariff_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
active: true,
default: false
})
};
fetch('https://api.example.com/v1/tariffs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback_tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"default": true,
"fee_ranges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"range_start": 1,
"range_end": 1,
"fixed_fee": 1,
"percent_fee": 1,
"min_fee": 1,
"max_fee": 1,
"media": "<string>",
"asset": "<string>",
"from_channel": "<string>",
"to_channel": "<string>",
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"active": true
}
],
"velocity_rules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 1,
"active": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "tariffs.invalid_tariff_data",
"message": "Invalid tariff data provided"
}{
"code": "tariffs.tariff_already_exists",
"message": "Tariff with this name already exists"
}Management
Create tariff
Create a new tariff
POST
/
v1
/
tariffs
Create tariff
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I